Wordpress install script doesn't check for all required php modules

the wordpress install script only checks for 2 php modules, when in fact many are required. After a clean minimal install of Centos 8, then virtualmin, if I run the wordpress install script for a virtual server, the script will complete successfully but wordpress will not run, it's missing the php-json module specifically. Once installed that gets past the basic wordpress setup. The install script should check for the existence of additional modules wordpress requires.

Status: 
Fixed (pending)
Virtualmin version: 
6.14
Webmin version: 
1.962

Comments

Ilia's picture
Submitted by Ilia on Thu, 12/24/2020 - 12:53

Hi,

Perhaps you are using LEMP stack install?

Ilia's picture
Submitted by Ilia on Fri, 12/25/2020 - 03:57

Status:
Active
»
Fixed (pending)

Okay, thanks. We'll fix that on the next release.

My apology, I migrated a copy of the site to Plesk and got the same error. So this is not related to Virtualmin. Sorry!